## org.apache.batik.extension.svg
Class BatikFlowTextElementBridge.LineBreakInfo

    java.lang.Object
      org.apache.batik.extension.svg.BatikFlowTextElementBridge.LineBreakInfo

Enclosing class:
  BatikFlowTextElementBridge

    public static class BatikFlowTextElementBridge.LineBreakInfo

extends java.lang.Object

Constructor Summary
`BatikFlowTextElementBridge.LineBreakInfo(int breakIdx, float lineAdvAdj, boolean relative)`

Method Summary
`int` `getBreakIdx()`
`float` `getLineAdvAdj()`
`boolean` `isRelative()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatikFlowTextElementBridge.LineBreakInfo

    public BatikFlowTextElementBridge.LineBreakInfo(int breakIdx,
                                                    float lineAdvAdj,
                                                    boolean relative)

Parameters:
  `breakIdx` - The character after which to break.
  `lineAdvAdj` - The line advance adjustment.
  `relative` - If true lineAdvAdj must be multiplied by the line height.

Method Detail

### getBreakIdx

    public int getBreakIdx()

### isRelative

    public boolean isRelative()

### getLineAdvAdj

    public float getLineAdvAdj()

Copyright © 2008 Apache Software Foundation. All Rights Reserved.